feldspar-compiler-0.4.0.2: Compiler for the Feldspar language

Feldspar.Transformation

# Documentation

class Transformable t Module => Plugin t where

Associated Types

type ExternalInfo t

Methods

executePlugin :: t -> ExternalInfo t -> Module (From t) -> Module (To t)

Instances

Plugin ConstantFolding |
Plugin Precompilation |
Plugin VariableRoleAssigner |
Plugin AllocationEliminator |
Plugin UnrollPlugin |
Plugin BlockProgramHandler |
Plugin TypeCorrector |
Plugin TypeDefinitionGenerator |
Plugin DebugToC |
Plugin GetPrgSwitch |
Plugin GetPrgBranch |
Plugin GetPrgAssign |
Plugin GetPrgParLoop |
Plugin HandlePrimitives |

module Feldspar.Transformation.Framework

module Feldspar.Compiler.Imperative.TransformationInstance

module Feldspar.Compiler.Imperative.Representation